from osv import fields,osv,orm

class base_contact_crm(osv.osv):
    _inherit = 'crm.case'
    _columns = {
                'partner_contact_id': fields.many2one('res.partner.contact', 'Partner Contact'),
                }
    def onchange_partner_id(self, cr, uid, ids, part, email=False):
        if not part:
            return {'value':{'partner_contact_id': False}}
        addr = self.pool.get('res.partner').address_get(cr, uid, [part], ['contact'])
        data={}
        if addr['contact']:
            partner_address = self.pool.get('res.partner.address').browse(cr,uid,addr['contact'])
            if partner_address.job_ids:
                if partner_address.job_ids[0].contact_id:
                    data['partner_contact_id'] = partner_address.job_ids[0].contact_id.id
                    email = partner_address.job_ids[0].email
            else:
                data['partner_contact_id'] = False
        if addr['contact'] and not email:
            data['email_from'] = self.pool.get('res.partner.address').browse(cr, uid, addr['contact']).email
        else:
            data['email_from'] = email
        return {'value':data}

base_contact_crm()